from functools import lru_cache

def moves(heap):
    a,b,c=heap
    m = []
    if a>1:
        m+=[(a-1,b,c),(a//2+(a%2),b,c)]
    if b>1:
        m+=[(a,b-1,c),(a,(b+1)//2,c)]
    if c>1:
        if c%2==0:
            m+=[(a,b,c-1),(a,b,c//2)]
        if c%2!=0:
            m+=[(a,b,c-1),(a,b,(c//2)+1)]
    return m

@lru_cache(None)
def f(heap):
    if sum(heap)<=32:
        return 'END'
    elif any(f(x)=='END' for x in moves(heap)):
        return 'P1'
    elif all(f(x)=='P1' for x in moves(heap)):
        return 'V1'
    elif any(f(x)=='V1' for x in moves(heap)):
        return 'P2'
    elif all(f(x)=='P1' or f(x)=='P2' for x in moves(heap)):
        return 'V2'

for s in range(12,100):
    h = 11,11,s
    print(s,f(h))
