from functools import lru_cache

def moves(heap):
    m = []
    if (heap + 1) % 2 != 0:
        m += [heap + 1]
    if (heap + 3) % 2 != 0:
        m += [heap + 3]
    if (heap * 3) % 2 != 0:
        m += [heap * 3]
    return m

@lru_cache(None)
def game(heap):
    if heap >= 51:
        return 'END'
    elif any(game(x) == 'END' for x in moves(heap)):
        return 'P1'
    elif all(game(x) == 'P1' for x in moves(heap)):
        return 'V1'
    elif any(game(x) == 'V1' for x in moves(heap)):
        return 'P2'
    elif all(game(x) == 'P1' or game(x) == 'P2' for x in moves(heap)):
        return 'V2'

for s in range(1, 51):
    print(s, game(s))