from functools import lru_cache
def moves(heap):
    m = []
    if heap % 2 == 0:
        m += [heap // 2]
    else:
        if heap > 1:
            m += [heap - 2]
    if heap % 3 == 0:
        m += [heap // 3]
    else:
        if heap > 2:
            m += [heap - 3]
    return m
@lru_cache(None)
def game(heap):
    if heap == 1:
        return 'END'
    elif any(game(x) == 'END' for x in moves(heap)):
        return 'P1'
    elif all(game(x) == 'P1' for x in moves(heap)):
        return 'V1'
    elif any(game(x) == 'V1' for x in moves(heap)):
        return 'P2'
    elif all(game(x) == 'P1' or game(x) == 'P2' for x in moves(heap)):
        return 'V2'

for s in range(1, 38):
    print(s, game(s))