from functools import lru_cache

def moves(heap):
    a,b = heap
    return (a+1,b),(a,b+1),(a*2,b),(a,b*2)

@lru_cache(None)
def game(heap):
    a,b=heap
    if a*b>=128:
        return 'END'
    #другой вариант: if heap[0]*heap[1]>=128
    elif any(game(x)=='END' for x in moves(heap)):
        return 'P1'
    elif all(game(x)=='P1' for x in moves(heap)):
        return 'V1'
    elif any(game(x)=='V1' for x in moves(heap)):
        return 'P2'
    elif all(game(x)=='P1' or game(x)=='P2' for x in moves(heap)):
        return 'V2'

for s in range(1,125):
    print(s,game((3,s)))