from functools import lru_cache

#если сначала *4 а потом +1, то
#в all и any не произойдет углубление рекурсии
#действует так называемая "короткая логика"
def moves(h):
    a,b=h
    return (a*4,b),(a,b*4),(a+1,b),(a,b+1)

@lru_cache(None)
def f(h):
    if h[0]*h[1]>=1056:
        return 'END'
    if any(f(x)=='END' for x in moves(h)):
        return 'P1'
    if all(f(x)=='P1' for x in moves(h)):
        return 'V1'
    if any(f(x)=='V1' for x in moves(h)):
        return 'P2'
    if all(f(x)=='P1' or f(x)=='P2' for x in moves(h)):
        return 'V2'

for s in range(1,132):
    h = 8,s
    print(s,f(h))
